Zum Inhalt springen

MediaWiki:Monobook.css: Unterschied zwischen den Versionen

aus Helmstedt-Wiki, der freien Enzyklopädie über den Landkreis Helmstedt
AZ: Die Seite wurde neu angelegt: <source lang="css">: /*----------------------------------------------------------------------------…
 
KKeine Bearbeitungszusammenfassung
 
(2 dazwischenliegende Versionen desselben Benutzers werden nicht angezeigt)
Zeile 1: Zeile 1:
/* <source lang="css"> */
/*-----------------------------------------------------------------------------*/
/*-----------------------------------------------------------------------------*/
/* Änderungen am Monobook-Skin für das Helmstedt-Wiki                         */
/* Änderungen am Monobook-Skin für das deutschsprachige Helmstedt-Wiki             */
/* --> Skinübergreifende Anpassungen befinden sich in [[MediaWiki:Common.css]] */
/* --> Skinübergreifende Anpassungen befinden sich in [[MediaWiki:Common.css]] */
/*-----------------------------------------------------------------------------*/
/*-----------------------------------------------------------------------------*/


/* Für Monobook-Skin-Benutzer irrelevante Informationen in MediaWiki:Preferences-summary ausblenden */
/* +++++ Traditionelles (i. W. unverändert seit August 2006) +++++ */
div.oldskinonly {
display: none;
}


/* Fetter Bearbeiten-Link */
/* Fetter Bearbeiten-Link */
#ca-edit a {
li#ca-edit {
font-weight: bold;
font-weight: bold;
}
}


/* Make all non-namespace pages have a light blue content area. This is done by
/* Make all non-namespace pages have a light blue content area. This is done by
setting the background color for all #content areas to light blue and then
  setting the background color for all #content areas to light blue and then
overriding it for any #content enclosed in a .ns-0 (main namespace). I then
  overriding it for any #content enclosed in a .ns-0 (main namespace). I then
do the same for the "tab" background colors. --Lupo */
  do the same for the "tab" background colors. --Lupo */
div#content,
.mw-body,
#p-cactions li.selected a {
#p-cactions li.selected a {
background-color: #f3f3ff; /* ein leichtes blau */
background-color: #f3f3ff; /* ein leichtes blau */
}
}
.ns-0 div#content,
.ns-0 .mw-body,
.ns-0 #p-cactions li.selected a,
.ns-0 #p-cactions li.selected a,
.page-Wikipedia_Hauptseite div#content,
.page-Helmstedt-Wiki_Hauptseite .mw-body,
.page-Wikipedia_Hauptseite #p-cactions li.selected a {
.page-Helmstedt-Wiki_Hauptseite #p-cactions li.selected a {
background-color: white;
background-color: white;
}
ul.gallery { background-color: transparent; }
/* Tabellenhintergründe transparent machen */
table.diff,
td.diff-otitle,
td.diff-ntitle {
background-color: transparent;
}
/* Korrektur des oberen Rands auf der Hauptseite nach Entfernung des Redirhinweises */
.page-Helmstedt-Wiki_Hauptseite div#content {
padding: 1em;
}
}


Zeile 47: Zeile 29:
.catlinks {
.catlinks {
border: 0;
border: 0;
border-top: 2px dotted #aaaaaa;
border-top: 2px dotted #aaa;
}
 
/* Tabellenüberschriften (mit |+) größer und fett */
caption {
font-size: 105%;
font-weight: bold;
}
}


Zeile 61: Zeile 37:
}
}


/*-----------------------------------------------------------------------------*/
/* +++++ Anpassungen für absolut positionierte Objekte: [[phab:T40848]] +++++ */


/* Absolute Positionierungen für Monobook.css */
/*
/* Bitte [[MediaWiki Diskussion:Common.css#Absolute Positionierungen]] beachten */
* Container für <indicator>-Tags leicht nach unten verschieben, um darüber
* Platz für absolut positionierte Objekte zu schaffen. Wenn keine absolut
* positionierten Objekte vorhanden sind, verschlechtert dies die Darstellung.
*/
.mw-indicators {
margin-top: .5em;
}


/* Formatierung für [[Vorlage:Editcount]], [[Vorlage:ISSN-Link]], [[Vorlage:Shortcut]],
/*
  [[Vorlage:Coordinate]] u. a. (siehe [[:Kategorie:Vorlage:mit absoluter Positionierung]]) */
* Koordinaten und diverse andere Anzeigen oben rechts, siehe
#editcount,
* [[:Kategorie:Vorlage:mit Seitenindikator#Textelemente]].
#issnlink,
* Beachte, dass diese Elemente im Wikitext an beliebigen Stellen auftreten und
#shortcut,
* deshalb allerhand Eigenschaften erben können. Das gilt insbesondere für die
#coordinates {
* Schriftgröße.
background: none;
*/
border: none;
#mw-content-text #coordinates,
#mw-content-text #editcount,
#mw-content-text #shortcut,
body.ns-special #mw-content-text .specialpage-helplink {
display: block;
display: block;
font-size: 10px;
font-size: x-small;
line-height: 11px;
line-height: 1.5;
margin: 0 18px 0 0;
padding: 0 0.1em 0 0;
position: absolute;
position: absolute;
right: 12px;
right: 1.27em;
text-align: right;
text-align: right;
text-indent: 0;
text-indent: 0;
text-transform: none;
top: .2em;
top: 0.2em;
white-space: nowrap;
white-space: nowrap;
z-index: 1;
}
}


/* Sitenotice linksbündig, sollte dort keine Probleme machen, dafür die Koordinaten freihalten */
/* Abstand der CentralNotice zu den positionierten Elementen oben rechts */
/* (für die Dauer der Spendenaktion deaktivert, weil der Rest mittig steht. Ggfs. neu anpassen */
div#centralNotice > * {
/* #siteNotice p {text-align:left;} */
margin-top: .9em !important;
/* #siteNotice {padding-left:0;}    */
 
/* verhindert, dass der Verbergen-Link die Icons rechts oben verdeckt */
#mw-dismissable-notice td {
vertical-align: bottom;
}
}
/* Formatierung für Kennzeichnung von Artikelstadien (Exzellent, Lesenswert etc.) */
#artikelstadium,
div.topicon {
background: none;
border: none;
display: block;
font-size: 90%;
line-height: 1.5em;
margin: 0.0em;
padding: 0.0em;
position: absolute;
right: 12px;
text-align: right;
text-indent: 0;
text-transform: none;
top: 0.3em;
white-space: normal;
z-index: 1;
}
/* Icons aus [[Vorlage:Gesprochene Version]] und [[MediaWiki:Sharedupload-desc-here]]
  anzeigen und verschieben, um Konflikte mit anderen Icons zu vermeiden */
#spoken-icon {
display: block;
margin-top: 18px;
}
#commons-icon {
display: block;
margin-right: 18px;
}
/*-----------------------------------------------------------------------------*/
/* Anpassungen für die Stabilen Versionen */
/*-----------------------------------------------------------------------------*/
/* Die Prüfbox verschieben */
div.flaggedrevs_short {
margin: 18px 18px 0 0 !important;
position: absolute;
right: 12px;
top: 0.3em;
z-index: 1;
}
/* Tabelle mit redundantem Sichtungsbalken in der Prüfbox ausblenden */
table #mw-revisionratings-box {
display: none;
}
/* Abstand der Box zu den positionierten Elementen oben rechts (WP:ABK, Geokoordinaten, Bapperl) */
div#centralNotice.expanded {
margin-top: 1.9em;
}
/* Spezialseiten */
.sp-cached {
background: #ffffe0 url(http://upload.wikimedia.org/wikipedia/commons/thumb/8/8c/Clock_and_warning.png/20px-Clock_and_warning.png) no-repeat 5px 3px;
border: 1px solid #eeee80;
color: #606000;
font-style: italic;
margin: 0.3em 0;
padding: 4px 0 4px 30px;
}
/* </source> */

Aktuelle Version vom 17. Januar 2025, 09:58 Uhr

/*-----------------------------------------------------------------------------*/
/* Änderungen am Monobook-Skin für das deutschsprachige Helmstedt-Wiki              */
/* --> Skinübergreifende Anpassungen befinden sich in [[MediaWiki:Common.css]] */
/*-----------------------------------------------------------------------------*/

/* +++++ Traditionelles (i. W. unverändert seit August 2006) +++++ */

/* Fetter Bearbeiten-Link */
li#ca-edit {
	font-weight: bold;
}

/* Make all non-namespace pages have a light blue content area. This is done by
   setting the background color for all #content areas to light blue and then
   overriding it for any #content enclosed in a .ns-0 (main namespace). I then
   do the same for the "tab" background colors. --Lupo */
.mw-body,
#p-cactions li.selected a {
	background-color: #f3f3ff; /* ein leichtes blau */
}
.ns-0 .mw-body,
.ns-0 #p-cactions li.selected a,
.page-Helmstedt-Wiki_Hauptseite .mw-body,
.page-Helmstedt-Wiki_Hauptseite #p-cactions li.selected a {
	background-color: white;
}

/* Kategorien etwas schöner darstellen */
.catlinks {
	border: 0;
	border-top: 2px dotted #aaa;
}

/* Einzelnachweise */
ol.references {
	font-size: 90%;
}

/* +++++ Anpassungen für absolut positionierte Objekte: [[phab:T40848]] +++++ */

/*
 * Container für <indicator>-Tags leicht nach unten verschieben, um darüber
 * Platz für absolut positionierte Objekte zu schaffen. Wenn keine absolut
 * positionierten Objekte vorhanden sind, verschlechtert dies die Darstellung.
 */
.mw-indicators {
	margin-top: .5em;
}

/*
 * Koordinaten und diverse andere Anzeigen oben rechts, siehe
 * [[:Kategorie:Vorlage:mit Seitenindikator#Textelemente]].
 * Beachte, dass diese Elemente im Wikitext an beliebigen Stellen auftreten und
 * deshalb allerhand Eigenschaften erben können. Das gilt insbesondere für die
 * Schriftgröße.
 */
#mw-content-text #coordinates,
#mw-content-text #editcount,
#mw-content-text #shortcut,
body.ns-special #mw-content-text .specialpage-helplink {
	display: block;
	font-size: x-small;
	line-height: 1.5;
	position: absolute;
	right: 1.27em;
	text-align: right;
	text-indent: 0;
	top: .2em;
	white-space: nowrap;
}

/* Abstand der CentralNotice zu den positionierten Elementen oben rechts */
div#centralNotice > * {
	margin-top: .9em !important;
}